import { ButtonHTMLAttributes, FC, PointerEventHandler, PropsWithChildren } from "react";
import { ColorModifierProp, BooleanModifierProps, MainColor, ShadeColor, OtherColor, SizeModifierProp } from "../modifiers/index.js";
export type ButtonProps = ButtonHTMLAttributes<HTMLButtonElement> & ColorModifierProp<MainColor | ShadeColor | OtherColor> & SizeModifierProp & Pick<BooleanModifierProps, "isActive" | "isExpanded" | "isFocused" | "isFullwidth" | "isInverted" | "isLight" | "isLoading" | "isOutlined" | "isRounded" | "isStatic">;
export declare const Button: FC<PropsWithChildren<ButtonProps>>;
export type ButtonDeleteProps = Omit<ButtonHTMLAttributes<HTMLButtonElement>, "className"> & ColorModifierProp<MainColor | ShadeColor | OtherColor> & SizeModifierProp<"small" | "medium" | "large">;
export declare const ButtonDelete: FC<ButtonDeleteProps>;
export type ButtonOnClick = PointerEventHandler<HTMLButtonElement>;
//# sourceMappingURL=Button.d.ts.map