import { jsx as _jsx } from "react/jsx-runtime";
import { classNames } from "../classNames.js";
import { colorClassName, modifier, sizeClassName, } from "../modifiers/index.js";
export const Button = ({ className, children, isActive, size, isExpanded, isStatic, isFocused, isLight, isLoading, isInverted, isOutlined, color, ...props }) => {
    const _class = classNames("button", colorClassName(color), sizeClassName(size), modifier({
        isActive,
        isExpanded,
        isFocused,
        isInverted,
        isLight,
        isLoading,
        isOutlined,
        isStatic,
    }), className);
    return (_jsx("button", { className: _class, ...props, children: children }));
};
export const ButtonDelete = ({ size, ...props }) => {
    const _class = classNames("delete", sizeClassName(size));
    return _jsx("button", { className: _class, ...props });
};
