import { FC, ChangeEventHandler, OptionHTMLAttributes, SelectHTMLAttributes } from "react";
import { BooleanModifierProps, SizeModifierProp, ColorModifierProp, MainColor } from "../modifiers/index.js";
type Option = Omit<OptionHTMLAttributes<HTMLOptionElement>, "value" | "label"> & {
    label: OptionHTMLAttributes<HTMLOptionElement>["label"];
    value: OptionHTMLAttributes<HTMLOptionElement>["value"];
};
export type SelectProps = SelectHTMLAttributes<HTMLSelectElement> & ColorModifierProp<MainColor> & SizeModifierProp & Pick<BooleanModifierProps, "isFocused" | "isHovered" | "isLoading"> & {
    options: Option[];
};
export declare const Select: FC<SelectProps>;
export type SelectOnChange = ChangeEventHandler<HTMLSelectElement>;
export {};
//# sourceMappingURL=Select.d.ts.map